;(function () {
  'use strict'

  var toggle = document.querySelector('.page-versions .version-menu-toggle')
  if (!toggle) return

  var selector = document.querySelector('.page-versions')
  var backdrop = document.querySelector('.backdrop')

  toggle.addEventListener('click', function (e) {
    selector.classList.toggle('is-active')
    backdrop.style.display = 'block'
    e.stopPropagation() // trap event
  })

  backdrop.addEventListener('click', function () {
    selector.classList.remove('is-active')
  })

  document.documentElement.addEventListener('click', function () {
    selector.classList.remove('is-active')
  })
})()
